use crate::util;
use leptos::*;
use leptos_router::*;

/// Navigation bar
#[component]
pub fn Navbar() -> impl IntoView {
    let websocket = expect_context::<util::surrealdb::SurrealContext>();

    view! {
        <div class="navbar">
            <span class="db-connection">"Connection: "{ move || websocket.ready_state.get().to_string()}</span>
            <A href="/" active_class="route-active">Home</A>
            <A href="/participants" active_class="route-active">Deelnemers</A>
            <A href="/times" active_class="route-active">Tijden</A>
        </div>
    }
}
