use crate::util;
use leptos::*;

/// Login page
#[component]
pub fn Login() -> impl IntoView {
    let websocket = expect_context::<util::surrealdb::SurrealContext>();

    let input_element: NodeRef<html::Input> = create_node_ref();

    let on_submit = move |ev: leptos::ev::SubmitEvent| {
        ev.prevent_default();

        let value = input_element
            .get()
            .expect("<input> should be mounted")
            .value();

        websocket.signin(value)
    };

    view! {
        <form class="login" on:submit=on_submit>
            <h1>"WRB Timings"</h1>
            <input type="password"
                node_ref=input_element
                placeholder="Password"
            />
            <input type="submit" value="Submit" />
        </form>
    }
}
